#############################################################
#
# hostap-cs card services
#
#############################################################
# Copyright (C) 2001-2003 by Erik Andersen <andersen@codepoet.org>
# Copyright (C) 2002 by Tim Riker <Tim@Rikers.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Library General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA
HOSTAP_CS_SITE:=http://hostap-cs.sourceforge.net/ftp/
HOSTAP_CS_SOURCE:=hostap-cs-3.2.7.tar.gz
HOSTAP_CS_DIR:=$(BUILD_DIR)/hostap-cs-3.2.7
HOSTAP_CS_PATCH:=$(SOURCE_DIR)/hostap-cs.patch
HOSTAP_CS_CAT:=zcat

HOSTAP_CS_PKG_DIR=$(PACKAGES_DIR)/hostap-cs

$(DL_DIR)/$(HOSTAP_CS_SOURCE):
	$(WGET) -P $(DL_DIR) $(HOSTAP_CS_SITE)/$(HOSTAP_CS_SOURCE)

hostap-cs-source: $(DL_DIR)/$(HOSTAP_CS_SOURCE)

$(HOSTAP_CS_DIR)/.unpacked: $(DL_DIR)/$(HOSTAP_CS_SOURCE)
	$(HOSTAP_CS_CAT) $(DL_DIR)/$(HOSTAP_CS_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(HOSTAP_CS_DIR)/.unpacked

$(HOSTAP_CS_DIR)/.patched: $(HOSTAP_CS_DIR)/.unpacked
	cat $(HOSTAP_CS_PATCH) | patch -d $(HOSTAP_CS_DIR) -p1
	touch $(HOSTAP_CS_DIR)/.patched

#  --moddir=$(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/ 

$(HOSTAP_CS_DIR)/.configured: $(HOSTAP_CS_DIR)/.patched
	( cd $(HOSTAP_CS_DIR) ; ./Configure \
		--kernel=$(LINUX_SOURCE_DIR) --noprompt \
		--target=$(PACKAGES_DIR)/hostap-cs \
		--pnp \
		--srctree \
		--moddir=$(HOSTAP_CS_PKG_DIR)/lib/modules/$(LINUX_VERSION)/ \
		--uflags="-Os -pedantic -Wall -Wstrict-prototypes -Wmissing-prototypes" \
	);
	$(SED) "s/pump/udhcpc/" $(HOSTAP_CS_DIR)/etc/network
	touch $(HOSTAP_CS_DIR)/.configured

$(HOSTAP_CS_DIR)/cardmgr/cardmgr: $(HOSTAP_CS_DIR)/.configured
	$(MAKE) -C $(HOSTAP_CS_DIR) -i all
	touch -c $(HOSTAP_CS_DIR)/cardmgr/cardmgr

$(HOSTAP_CS_PKG_DIR)/sbin/cardmgr: $(HOSTAP_CS_DIR)/cardmgr/cardmgr
	rm -rf $(HOSTAP_CS_PKG_DIR)/*
	$(MAKE) -i -C $(HOSTAP_CS_DIR) install
	-$(SSTRIP) $(HOSTAP_CS_PKG_DIR)/sbin/*
	-$(SSTRIP) $(HOSTAP_CS_PKG_DIR)/lib/*
	-rm -r $(HOSTAP_CS_PKG_DIR)/usr/share
	-rm -r $(HOSTAP_CS_PKG_DIR)/usr/man
	-rm -r $(HOSTAP_CS_PKG_DIR)/include
	-rm -r $(HOSTAP_CS_PKG_DIR)/man


hostap-cs: $(HOSTAP_CS_PKG_DIR)/sbin/cardmgr

hostap-cs-clean:
	rm -rf $(HOSTAP_CS_PKG_DIR)/*
	-$(MAKE) -C $(HOSTAP_CS_DIR) clean
	rm -f $(HOSTAP_CS_DIR)/.configured $(HOSTAP_CS_DIR)/config.out

hostap-cs-dirclean:
	rm -rf $(HOSTAP_CS_PKG_DIR)/*
	rm -rf $(HOSTAP_CS_DIR)
