#############################################################
#
# hostap card services
#
#############################################################
# Copyright (C) 2001-2003 by Erik Andersen <andersen@codepoet.org>
# Copyright (C) 2002 by Tim Riker <Tim@Rikers.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Library General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA
HOSTAP_SITE:=http://hostap-cs.sourceforge.net/ftp/
HOSTAP_SOURCE:=hostap-cs-3.2.7.tar.gz
HOSTAP_DIR:=$(BUILD_DIR)/hostap-cs-3.2.7
HOSTAP_PATCH:=$(SOURCE_DIR)/hostap.patch
HOSTAP_CAT:=zcat

HOSTAP_PKG_DIR=$(PACKAGES_DIR)/hostap-cs

$(DL_DIR)/$(HOSTAP_SOURCE):
	$(WGET) -P $(DL_DIR) $(HOSTAP_SITE)/$(HOSTAP_SOURCE)

hostap-source: $(DL_DIR)/$(HOSTAP_SOURCE)

$(HOSTAP_DIR)/.unpacked: $(DL_DIR)/$(HOSTAP_SOURCE)
	$(HOSTAP_CAT) $(DL_DIR)/$(HOSTAP_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(HOSTAP_DIR)/.unpacked

$(HOSTAP_DIR)/.patched: $(HOSTAP_DIR)/.unpacked
	cat $(HOSTAP_PATCH) | patch -d $(HOSTAP_DIR) -p1
	touch $(HOSTAP_DIR)/.patched

#  --moddir=$(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/ 

$(HOSTAP_DIR)/.configured: $(HOSTAP_DIR)/.patched
	( cd $(HOSTAP_DIR) ; ./Configure \
		--kernel=$(LINUX_SOURCE_DIR) --noprompt \
		--target=$(PACKAGES_DIR)/hostap-cs \
		--pnp \
		--srctree \
		--moddir=$(HOSTAP_PKG_DIR)/lib/modules/$(LINUX_VERSION)/ \
		--uflags="-Os -pedantic -Wall -Wstrict-prototypes -Wmissing-prototypes" \
	);
	$(SED) "s/pump/udhcpc/" $(HOSTAP_DIR)/etc/network
	touch $(HOSTAP_DIR)/.configured

$(HOSTAP_DIR)/cardmgr/cardmgr: $(HOSTAP_DIR)/.configured
	$(MAKE) -C $(HOSTAP_DIR) -i all
	touch -c $(HOSTAP_DIR)/cardmgr/cardmgr

$(HOSTAP_PKG_DIR)/sbin/cardmgr: $(HOSTAP_DIR)/cardmgr/cardmgr
	rm -rf $(HOSTAP_PKG_DIR)/*
	$(MAKE) -i -C $(HOSTAP_DIR) install
	-$(SSTRIP) $(HOSTAP_PKG_DIR)/sbin/*
	-$(SSTRIP) $(HOSTAP_PKG_DIR)/lib/*
	-rm -r $(HOSTAP_PKG_DIR)/usr/share
	-rm -r $(HOSTAP_PKG_DIR)/usr/man
	-rm -r $(HOSTAP_PKG_DIR)/include
	-rm -r $(HOSTAP_PKG_DIR)/man


hostap: $(HOSTAP_PKG_DIR)/sbin/cardmgr

hostap-clean:
	rm -rf $(HOSTAP_PKG_DIR)/*
	-$(MAKE) -C $(HOSTAP_DIR) clean
	rm -f $(HOSTAP_DIR)/.configured $(HOSTAP_DIR)/config.out

hostap-dirclean:
	rm -rf $(HOSTAP_PKG_DIR)/*
	rm -rf $(HOSTAP_DIR)
